%define release_stamp 202305.2.b4b0d78

Name: uart-loopback-test
Version: %release_stamp
Release: elv.alt1

Summary: Tools for testing UART in loopback mode
License: RnD Center "ELVEES", JSC
Group: Development/Python

Source: %{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires(pre): rpm-build-python3 python3-module-setuptools

%description
%summary

%prep
%setup -n %name

# TODO: There are warnings using 'python3_*' macros. Should migrate to "pyproject_*" and
# pyprojects.toml. Reason: 'python3 setup.py ...' is deprecated because of PEP 518.
%build
%python3_build

%install
%python3_install

%files
%{_bindir}/uart_test_client
%{_bindir}/uart_test_server
%python3_sitelibdir/uart_loopback_test*
